/*******************************
 * Jupyter Extension
 *******************************/
export declare const JUPYTER_EXT: {
    EXTENSION_CSS_CLASSNAME: string;
    VIEW_ALGORITHMS_PLUGIN_ID: string;
    VIEW_ALGORITHMS_NAME: string;
    VIEW_ALGORITHMS_OPEN_COMMAND: string;
    REGISTER_ALGORITHM_PLUGIN_ID: string;
    REGISTER_ALGORITHM_NAME: string;
    REGISTER_ALGORITHM_OPEN_COMMAND: string;
};
/*******************************
 * Algorithms
 *******************************/
export declare const ALGO_INPUTS: {
    CONFIGURATION_INPUTS: string;
    FILE_INPUTS: string;
    POSITIONAL_INPUTS: string;
};
export declare const ALGO_INPUTS_DESC: {
    CONFIGURATION_INPUTS: string;
    FILE_INPUTS: string;
    POSITIONAL_INPUTS: string;
};
export declare const ALGO_INPUT_FIELDS: {
    readonly INPUT_NAME: "inputName";
    readonly INPUT_DEFAULT: "inputDefault";
    readonly INPUT_DESC: "inputDesc";
    readonly IS_REQUIRED: "isRequired";
    readonly INPUT_ID: "inputId";
};
export declare const COLUMN_SPAN = 6;
