import { IAlgorithmsSlice } from '../../types/slices';
import { IStore } from '../../types/store';
export declare const algorithmsSlice: import("@reduxjs/toolkit").Slice<IAlgorithmsSlice, {
    resetValue: () => IAlgorithmsSlice;
    setRegistrationUrl: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    incrementInputId: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>) => any;
    setRepoUrl: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setRepoBranch: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setRepoRunCommand: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setRepoBuildCommand: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoName: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoDesc: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoDiskSpace: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoResource: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoContainerURL: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    addConfigData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    updateConfigData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    removeConfigData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    addFileData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    updateFileData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    removeFileData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    addPositionalData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    updatePositionalData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    removePositionalData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
}, "Algorithms">;
export declare const algorithmsActions: import("@reduxjs/toolkit").CaseReducerActions<{
    resetValue: () => IAlgorithmsSlice;
    setRegistrationUrl: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    incrementInputId: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>) => any;
    setRepoUrl: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setRepoBranch: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setRepoRunCommand: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setRepoBuildCommand: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoName: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoDesc: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoDiskSpace: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoResource: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    setAlgoContainerURL: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    addConfigData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    updateConfigData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    removeConfigData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    addFileData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    updateFileData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    removeFileData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    addPositionalData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    updatePositionalData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
    removePositionalData: (state: import("immer/dist/internal").WritableDraft<IAlgorithmsSlice>, action: {
        payload: any;
        type: string;
    }) => any;
}, "Algorithms">;
export declare const selectAlgorithms: (state: IStore) => IAlgorithmsSlice;
declare const _default: import("redux").Reducer<IAlgorithmsSlice>;
export default _default;
