import React from 'react';
import { ActionBar } from './ActionBar';
import { Algorithms } from './Algorithms';
import 'bootstrap/dist/css/bootstrap.min.css';
import SplitPane, { Pane } from 'react-split-pane';
import { AlgorithmDetails } from './AlgorithmDetails';
// import { useDispatch } from 'react-redux';
export const AlgorithmsApp = ({ jupyterApp }) => {
    // Redux
    //const dispatch = useDispatch()
    return (React.createElement(SplitPane, { split: "horizontal", defaultSize: 200, primary: "second" },
        React.createElement(Pane, null,
            React.createElement(ActionBar, { jupyterApp: jupyterApp }),
            React.createElement(Algorithms, null)),
        React.createElement(Pane, null,
            React.createElement(AlgorithmDetails, null))));
};
//# sourceMappingURL=AlgorithmsApp.js.map